Subscribe to webhooks
curl --request POST \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 11011,
"url": "https://webhook.example.com/notify",
"event": "order.created",
"is_active": true
}
'import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/"
payload = {
"id": 11011,
"url": "https://webhook.example.com/notify",
"event": "order.created",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 11011,
url: 'https://webhook.example.com/notify',
event: 'order.created',
is_active: true
})
};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 11011,
'url' => 'https://webhook.example.com/notify',
'event' => 'order.created',
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/"
payload := strings.NewReader("{\n \"id\": 11011,\n \"url\": \"https://webhook.example.com/notify\",\n \"event\": \"order.created\",\n \"is_active\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 11011,\n \"url\": \"https://webhook.example.com/notify\",\n \"event\": \"order.created\",\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 11011,\n \"url\": \"https://webhook.example.com/notify\",\n \"event\": \"order.created\",\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 11011,
"url": "https://webhook.example.com/notify",
"event": "order.created",
"is_active": true
}Webhooks
Subscribe to webhooks
Subscribe to events via webhooks for a retailer.
POST
/
v1
/
retailers
/
{retailer_id}
/
webhooks
/
Subscribe to webhooks
curl --request POST \
--url https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 11011,
"url": "https://webhook.example.com/notify",
"event": "order.created",
"is_active": true
}
'import requests
url = "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/"
payload = {
"id": 11011,
"url": "https://webhook.example.com/notify",
"event": "order.created",
"is_active": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 11011,
url: 'https://webhook.example.com/notify',
event: 'order.created',
is_active: true
})
};
fetch('https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'id' => 11011,
'url' => 'https://webhook.example.com/notify',
'event' => 'order.created',
'is_active' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/"
payload := strings.NewReader("{\n \"id\": 11011,\n \"url\": \"https://webhook.example.com/notify\",\n \"event\": \"order.created\",\n \"is_active\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"id\": 11011,\n \"url\": \"https://webhook.example.com/notify\",\n \"event\": \"order.created\",\n \"is_active\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://marketplace-api.fabric.inc/v1/retailers/{retailer_id}/webhooks/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"id\": 11011,\n \"url\": \"https://webhook.example.com/notify\",\n \"event\": \"order.created\",\n \"is_active\": true\n}"
response = http.request(request)
puts response.read_body{
"id": 11011,
"url": "https://webhook.example.com/notify",
"event": "order.created",
"is_active": true
}Authorizations
Path Parameters
Body
application/json
Webhook subscription payload
Response
201 - application/json
Webhook subscription created
Webhook subscription payload
Was this page helpful?
